Bug 1318328 - Review Request: python-detox - Distributing activities of the tox tool
Summary: Review Request: python-detox - Distributing activities of the tox tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: mulhern
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-16 14:20 UTC by Ralph Bean
Modified: 2016-03-28 19:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-26 18:02:13 UTC
amulhern: fedora-review+


Attachments (Terms of Use)

Description Ralph Bean 2016-03-16 14:20:47 UTC
Spec URL: http://ralph.fedorapeople.org//python-detox.spec
SRPM URL: http://ralph.fedorapeople.org//python-detox-0.10.0-1.fc23.src.rpm

Description:
detox is the distributed version of the "tox" python testing tool.  It makes
efficient use of multiple CPUs by running all possible activities in parallel.
It has the same options and configuration that tox has so after installation
can just run::

    $ detox

in the same way and with the same options with which you would run ``tox``.

Comment 1 Ralph Bean 2016-03-16 14:20:53 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=13367497

Comment 2 mulhern 2016-03-16 20:19:25 UTC
This looks good to me. On my F22 system, there was an error, because it expected python2-setuptools to be python-setuptools (without the 2). But if for F23 and above only, this shouldn't matter, AFAIU.

rpmlint clean! checksums good! license correct!

Comment 3 Ralph Bean 2016-03-16 20:45:54 UTC
Thanks mulhern!

Comment 4 Gwyn Ciesla 2016-03-17 14:29:16 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-detox

Comment 5 Fedora Update System 2016-03-17 15:17:19 UTC
python-detox-0.10.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c499b8ee96

Comment 6 Fedora Update System 2016-03-17 15:17:25 UTC
python-detox-0.10.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-542479c59a

Comment 7 Fedora Update System 2016-03-18 14:56:45 UTC
python-detox-0.10.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c499b8ee96

Comment 8 Fedora Update System 2016-03-19 01:25:20 UTC
python-detox-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-542479c59a

Comment 9 Fedora Update System 2016-03-26 18:02:11 UTC
python-detox-0.10.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-03-28 19:21:15 UTC
python-detox-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.